Read only archive ; use https://github.com/JacORB/JacORB/issues for new issues
Bug 820 - SSL config params in jacorb properties are not read as hex in some files
Summary: SSL config params in jacorb properties are not read as hex in some files
Status: RESOLVED FIXED
Alias: None
Product: JacORB
Classification: Unclassified
Component: SSL/IIOP (show other bugs)
Version: 2.3.0
Hardware: PC All
: P1 critical
Assignee: Gerald Brose
URL:
Depends on:
Blocks:
 
Reported: 2008-01-10 18:24 CET by Terry Xie
Modified: 2014-04-25 06:29 CEST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Terry Xie 2008-01-10 18:24:53 CET
There are two files in jacorb having the problem. The commented out code is 
original. I have done temporary fixes to get around it temporary.



ClientIIOPConnection.java

        //only read in the properties if ssl is really supported.
        if( doSupportSSL )
        {
            client_required =
                //configuration.getAttributeAsInteger
("jacorb.security.ssl.client.required_options", 16);
            	Integer.parseInt(
                        configuration.getAttribute
("jacorb.security.ssl.client.required_options","0"),
                        16);
            client_supported =
                //configuration.getAttributeAsInteger
("jacorb.security.ssl.client.supported_options",16);
            
            	Integer.parseInt(
                    configuration.getAttribute
("jacorb.security.ssl.client.supported_options","0"),
                    16);            
        }


ServerRequestListener
            int required =
                //configuration.getAttributeAsInteger
("jacorb.security.ssl.server.required_options",16);
            	//Terry: fix bug - it is a hex
            	Integer.parseInt(
                        configuration.getAttribute
("jacorb.security.ssl.server.required_options","0"),
                        16);                 	
            	

BTW, the JACORB programming guide is not clear on those required/support 
options' descriptions. They are hard to understand!
Comment 1 Nick Cross 2011-05-12 15:17:33 CEST
Fix committed to CVS head. 
Comment 2 Terry Xie 2014-04-24 17:34:42 CEST
Please fix these as well which should be read as Hex:
jacorb.security.ssl.corbaloc_ssliop.required_options
jacorb.security.ssl.corbaloc_ssliop.supported_options
Comment 3 Nick Cross 2014-04-25 06:29:29 CEST
Fixed by 29af157e7c02ce0facf1dedb7878e925e9c6b6ed